# Uses of Class
org.eclipse.birt.report.model.api.OdaDesignerStateHandle

Packages that use OdaDesignerStateHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of OdaDesignerStateHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return OdaDesignerStateHandle
Modifier and Type
Method
Description
`OdaDesignerStateHandle`
OdaDataSetHandle.`getDesignerState()`
Returns the oda designer state.
`OdaDesignerStateHandle`
OdaDataSourceHandle.`getDesignerState()`
Returns the oda designer state.
`OdaDesignerStateHandle`
OdaDataSetHandle.`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data set.
`OdaDesignerStateHandle`
OdaDataSourceHandle.`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data source.